format_version: '1.0'


repository_url: https://github.com/openwall/john
issue_url: https://github.com/openwall/john/issues/919


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: 147da4f
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: c70c4ef055e9c55ce43c025e9882fb4e09d0cafe
    - input_file: 'b-partial-2.diff'
      commit_sha1: d4df1d945c8fe527a6603c626b73ea24bbdd96fc
    - input_file: 'b-partial-3.diff'
      commit_sha1: 61165ed5a25e9f0c551cfd869e05d0c08c9017b0

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: 1973e868d2f6ed4513d6a62381b37b0eb04190ec

options:
  language: C
